classification
Title: Missing hint to source code
Type: Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Friedrich.Spee.von.Langenfeld, docs@python, python-dev
Priority: normal Keywords:

Created on 2014-09-30 19:45 by Friedrich.Spee.von.Langenfeld, last changed 2014-10-02 06:40 by python-dev. This issue is now closed.

Messages (4)
msg227989 - (view) Author: Friedrich Spee von Langenfeld (Friedrich.Spee.von.Langenfeld) Date: 2014-09-30 19:45
Nearly every module entry in the documentation has a headline with the pattern <module name -- description>, followed (in the second line) by <Source code: directory>. In the entry concerning pdb (https://docs.python.org/3/library/pdb.html), there is no hint where the source code is located. This is especially annoying, because the user of the Python Debugger is explicitely invented to extend the module´s capabilities ("The debugger is extensible – it is actually defined as the class Pdb. This is currently undocumented but easily understood by reading the source."). A link to the source code should be added as the second line. The same thing should done for symtable, compileall and perhaps some other modules, which I haven´t checked by now.
msg227993 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-09-30 20:02
New changeset 04f82abdfb6d by Benjamin Peterson in branch '3.4':
add link to pdb source (closes #22528)
https://hg.python.org/cpython/rev/04f82abdfb6d

New changeset d49b9c8ee8ed by Benjamin Peterson in branch '2.7':
add link to pdb source (closes #22528)
https://hg.python.org/cpython/rev/d49b9c8ee8ed

New changeset 26b767fec7e2 by Benjamin Peterson in branch 'default':
merge 3.4 (#22528)
https://hg.python.org/cpython/rev/26b767fec7e2
msg228079 - (view) Author: Friedrich Spee von Langenfeld (Friedrich.Spee.von.Langenfeld) Date: 2014-10-01 15:47
Excuse me, but it would be nice to fix the documentation of the modules symtable and compileall too. Thanks.
msg228165 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-10-02 06:40
New changeset b51742cb1685 by Georg Brandl in branch '3.4':
closes #22528: add source links to symtable and compileall
https://hg.python.org/cpython/rev/b51742cb1685

New changeset 5144c7d0ef29 by Georg Brandl in branch '2.7':
closes #22528: add source links to symtable and compileall
https://hg.python.org/cpython/rev/5144c7d0ef29
History
Date User Action Args
2014-10-02 06:40:07python-devsetstatus: open -> closed
resolution: fixed
messages: + msg228165
2014-10-01 15:47:18Friedrich.Spee.von.Langenfeldsetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg228079
2014-09-30 20:02:39python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg227993

resolution: fixed
stage: resolved
2014-09-30 19:45:40Friedrich.Spee.von.Langenfeldcreate